
Figure - Bug #116830
【BSP】【EVT3】【MEDIA】【偶现一次】内置图库和mxplayer无法播放任何视频
2023-03-09 11:35 - SZTS_TEST 邹涛

Status: CLOSED Start date: 2023-03-09

Priority: Urgent Due date:

Assignee: SZTS_TEST 邹涛 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: [ro.build.display.vc1.id]: [01.00.0079.C101]

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Release Test Root cause:

Description

前置条件：

板子已经安装mxplayer

操作步骤：

1.板子已经连接蓝牙音箱，使用mxplayer播放MP4格式的2K视频，挂机一晚上

2.第二天早上发现蓝牙音箱已经断开，视频处于暂停状态

3.尝试切换其他视频依然无法正常播放

4.再次尝试重启后播放视频，mxplayer和内置图库均无法正常播放

预期结果：

1.视频可以正常播放

History

#1 - 2023-03-09 15:16 - CD BSP-杜磊

- Status changed from New to ASSIGNED

- Assignee changed from CD BSP-杜磊 to Multimedia组-RD3_TSCD 梁卿山

#2 - 2023-03-09 16:20 - CD BSP-杜磊

- Category changed from BSP to AUDIO-FW

#3 - 2023-03-09 21:29 - CD MM唐驭俊

初步判断Codec 参数设置错误，需要继续分析Codec 参数设置错误的原因。

03-02 06:28:09.487  1215  1862 E OMX-VDEC-1080P: Extension: OMX.google.android.index.storeANWBufferInMetadata not implemented

03-02 06:28:09.487  1215  1862 E OMX-VDEC-1080P: Extension: OMX.google.android.index.configureVideoTunnelMode not implemented

03-02 06:28:09.487  1215  1862 E OMX-VDEC-1080P: Extension: OMX.google.android.index.useAndroidNativeBuffer is supported

03-02 06:28:09.487  1215  1862 E OMX-VDEC-1080P: get_parameter: unknown param 7f000046

03-02 06:28:09.488  1215  2068 E OMXNodeInstance: getParameter(0xe45e0034:qcom.decoder.avc, ??(0x6f600011)) ERROR: UnsupportedIndex(0x8000101a)

03-02 06:28:09.488  1198  6340 I ExtendedACodec: setupVideoDecoder()

03-02 06:28:09.489  1198  6340 I ExtendedACodec: Decoder will be in frame by frame mode

03-02 06:28:09.489  1215  2068 E OMX-VDEC-1080P: Setparameter: unknown param 2130706434

03-02 06:28:09.489  1215  2068 E OMX-VDEC-1080P: set_parameter: Error: 0x8000101a, setting param 0x7f000002

03-02 06:28:09.489  1215  2068 E OMXNodeInstance: setParameter(0xe45e0034:qcom.decoder.avc, ??(0x7f000002)) ERROR: UnsupportedIndex(0x8000101a)

#4 - 2023-03-15 15:16 - Multimedia组-RD3_TSCD 梁卿山
- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to SZTS_TEST 邹涛

Hi 邹涛

■ 当前分析

当前分析来看，上面提到的日志是正常的，当前日志中无法找到明显的异常错误，

怀疑是问题发生的时候，部分相关状态不准确，导致后续动作出现异常。

请帮忙尝试复现，并获取问题出现时（蓝牙断开时）的完整日志。谢谢！

#5 - 2023-03-23 10:03 - CDTS_TEST 王成

1、视频播放的问题确认是未连接中控

2、确认下蓝牙中断问题具体原因

若以上两点无异常，先关闭BUG

#6 - 2023-03-27 10:19 - SZTS_TEST 邹涛

- Status changed from NEED_INFO to RESOLVED

#7 - 2023-03-27 10:20 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

#8 - 2023-03-27 10:20 - SZTS_TEST 邹涛

- Status changed from VERIFIED to CLOSED

Files

logcat2222.txt 2.66 MB 2023-03-09 SZTS_TEST 邹涛

screenshot_20230309_112001.png 29.9 KB 2023-03-09 SZTS_TEST 邹涛

screenshot_20230309_112402.png 850 KB 2023-03-09 SZTS_TEST 邹涛
